<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Apuslisting
 * @since Apuslisting 1.0
 */
/*
*Template Name: 404 Page
*/
get_header();
$sidebar_configs = apuslisting_get_page_layout_configs();
?>
<section class="page-404">
<section id="main-container" class="<?php echo apply_filters('apuslisting_page_content_class', 'container');?> inner">
	<div class="row">
		<?php if ( isset($sidebar_configs['left']) ) : ?>
			<div class="<?php echo esc_attr($sidebar_configs['left']['class']) ;?>">
			  	<aside class="sidebar sidebar-left" itemscope="itemscope" itemtype="http://schema.org/WPSideBar">
			  		<?php if ( is_active_sidebar( $sidebar_configs['left']['sidebar'] ) ): ?>
			   			<?php dynamic_sidebar( $sidebar_configs['left']['sidebar'] ); ?>
			   		<?php endif; ?>
			  	</aside>
			</div>
		<?php endif; ?>
		<div id="main-content" class="main-page <?php echo esc_attr($sidebar_configs['main']['class']); ?>">
			<section class="error-404 not-found text-center clearfix">
				<div class="text-center">
					<h1 class="page-title"><?php echo trim(apuslisting_get_config( '404_title', '404' )); ?></h1>
					<div class="page-content">
						<p class="sub-title"><?php echo trim(apuslisting_get_config( '404_subtitle', 'Oop, that link is broken.' )); ?></p>
						<div class="back-home"><?php echo trim(apuslisting_get_config( '404_description', 'We are sorry, but something went wrong' )); ?> </div>
						<a class="back btn-theme btn radius-3x" href='<?php echo esc_url(get_home_url()); ?>'><?php esc_html_e( 'Back to homepage', 'apuslisting' ); ?></a>
						<?php get_search_form(); ?>
					</div><!-- .page-content -->
				</div>
			</section><!-- .error-404 -->

		</div><!-- .content-area -->
		<?php if ( isset($sidebar_configs['right']) ) : ?>
			<div class="<?php echo esc_attr($sidebar_configs['right']['class']) ;?>">
			  	<aside class="sidebar sidebar-right" itemscope="itemscope" itemtype="http://schema.org/WPSideBar">
			  		<?php if ( is_active_sidebar( $sidebar_configs['right']['sidebar'] ) ): ?>
				   		<?php dynamic_sidebar( $sidebar_configs['right']['sidebar'] ); ?>
				   	<?php endif; ?>
			  	</aside>
			</div>
		<?php endif; ?>
		
	</div>
</section>
</section>
<?php get_footer(); ?>