<?php

if ( !function_exists('apuslisting_load_load_theme_element')) {
	function apuslisting_load_load_theme_element() {
		$columns = array(1,2,3,4,6);
		// Heading Text Block
		vc_map( array(
			'name'        => esc_html__( 'Apus Widget Heading','apuslisting'),
			'base'        => 'apus_title_heading',
			"class"       => "",
			"category" => esc_html__('Apus Elements', 'apuslisting'),
			'description' => esc_html__( 'Create title for one Widget', 'apuslisting' ),
			"params"      => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Widget title', 'apuslisting' ),
					'param_name' => 'title',
					'value'       => esc_html__( 'Title', 'apuslisting' ),
					'description' => esc_html__( 'Enter heading title.', 'apuslisting' ),
					"admin_label" => true
				),
				array(
					"type" => "textarea",
					'heading' => esc_html__( 'Description', 'apuslisting' ),
					"param_name" => "descript",
					"value" => '',
					'description' => esc_html__( 'Enter description for title.', 'apuslisting' )
			    ),
			    array(
					"type" => "dropdown",
					"heading" => esc_html__("Style", 'apuslisting'),
					"param_name" => "style",
					'value' 	=> array(
						esc_html__('Default ', 'apuslisting') => 'default', 
						esc_html__('Center Dark ', 'apuslisting') => 'dark', 
						esc_html__('Center White ', 'apuslisting') => 'white', 
					),
					'std' => ''
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'apuslisting' ),
					'param_name' => 'el_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apuslisting' )
				)

			),
		));
		// calltoaction
		vc_map( array(
			'name'        => esc_html__( 'Apus Widget Call To Action','apuslisting'),
			'base'        => 'apus_call_action',
			"class"       => "",
			"category" => esc_html__('Apus Elements', 'apuslisting'),
			'description' => esc_html__( 'Create title for one Widget', 'apuslisting' ),
			"params"      => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Widget title', 'apuslisting' ),
					'param_name' => 'title',
					'value'       => esc_html__( 'Title', 'apuslisting' ),
					'description' => esc_html__( 'Enter heading title.', 'apuslisting' ),
					"admin_label" => true
				),
				array(
					"type" => "textarea",
					'heading' => esc_html__( 'Description', 'apuslisting' ),
					"param_name" => "descript",
					"value" => '',
					'description' => esc_html__( 'Enter description for title.', 'apuslisting' )
			    ),

			    array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Text Button', 'apuslisting' ),
					'param_name' => 'textbutton',
					'description' => esc_html__( 'Text Button', 'apuslisting' ),
					"admin_label" => true
				),

				array(
					'type' => 'textfield',
					'heading' => esc_html__( ' Link Button', 'apuslisting' ),
					'param_name' => 'linkbutton',
					'description' => esc_html__( 'Link Button', 'apuslisting' ),
					"admin_label" => true
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Button Style", 'apuslisting'),
					"param_name" => "buttons",
					'value' 	=> array(
						esc_html__('Default ', 'apuslisting') => 'btn-default ', 
						esc_html__('Primary ', 'apuslisting') => 'btn-primary ', 
						esc_html__('Success ', 'apuslisting') => 'btn-success ', 
						esc_html__('Info ', 'apuslisting') => 'btn-info ', 
						esc_html__('Warning ', 'apuslisting') => 'btn-warning ', 
						esc_html__('Danger ', 'apuslisting') => 'btn-danger ', 
						esc_html__('Pink ', 'apuslisting') => 'btn-pink ', 
						esc_html__('White ', 'apuslisting') => 'btn-white ', 
					),
					'std' => ''
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'apuslisting' ),
					'param_name' => 'el_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apuslisting' )
				)

			),
		));


		// Banner CountDown
		vc_map( array(
			'name'        => esc_html__( 'Apus Banner CountDown','apuslisting'),
			'base'        => 'apus_banner_countdown',
			"class"       => "",
			"category" => esc_html__('Apus Elements', 'apuslisting'),
			'description' => esc_html__( 'Show CountDown with banner', 'apuslisting' ),
			"params"      => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Widget title', 'apuslisting' ),
					'param_name' => 'title',
					'value'       => esc_html__( 'Title', 'apuslisting' ),
					'description' => esc_html__( 'Enter heading title.', 'apuslisting' ),
					"admin_label" => true
				),
				array(
					"type" => "textfield",
					'heading' => esc_html__( 'Sub Title', 'apuslisting' ),
					"param_name" => "sub_title",
					"value" => '',
					'description' => esc_html__( 'Enter Sub Title for title.', 'apuslisting' )
			    ),

				array(
					"type" => "textarea",
					'heading' => esc_html__( 'Description', 'apuslisting' ),
					"param_name" => "descript",
					"value" => '',
					'description' => esc_html__( 'Enter description for title.', 'apuslisting' )
			    ),
				array(
					"type" => "attach_image",
					"description" => esc_html__("If you upload an image, icon will not show.", 'apuslisting'),
					"param_name" => "image",
					"value" => '',
					'heading'	=> esc_html__('Image', 'apuslisting' )
				),
				array(
				    'type' => 'textfield',
				    'heading' => esc_html__( 'Date Expired', 'apuslisting' ),
				    'param_name' => 'input_datetime'
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( ' Link Button', 'apuslisting' ),
					'param_name' => 'linkbutton',
					'description' => esc_html__( 'Link Button', 'apuslisting' ),
					"admin_label" => true
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Style", 'apuslisting'),
					"param_name" => "style_widget",
					'value' 	=> array(
						esc_html__('Style Default', 'apuslisting') => '', 
						esc_html__('Style Blue', 'apuslisting') => 'style_blue', 
					),
					'std' => ''
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'apuslisting' ),
					'param_name' => 'el_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apuslisting' )
				),
			),
		));
		$fields = array();
		for ($i=1; $i <= 5; $i++) { 
			$fields[] = array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'apuslisting').' '.$i,
				"param_name" => "title".$i,
				"value" => '',    "admin_label" => true,
			);
			$fields[] = array(
				"type" => "attach_image",
				"heading" => esc_html__("Photo", 'apuslisting').' '.$i,
				"param_name" => "photo".$i,
				"value" => '',
				'description' => ''
			);
			$fields[] = array(
				"type" => "textarea",
				"heading" => esc_html__("information", 'apuslisting').' '.$i,
				"param_name" => "information".$i,
				"value" => 'Your Description Here',
				'description'	=> esc_html__('Allow  put html tags', 'apuslisting' )
			);
	    	$fields[] = array(
				"type" => "textfield",
				"heading" => esc_html__("Link Read More", 'apuslisting').' '.$i,
				"param_name" => "link".$i,
				"value" => '',
			);
		}
		$fields[] = array(
			"type" => "textfield",
			"heading" => esc_html__("Extra class name", 'apuslisting'),
			"param_name" => "el_class",
			"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		);
		
		// Apus Counter
		vc_map( array(
		    "name" => esc_html__("Apus Counter",'apuslisting'),
		    "base" => "apus_counter",
		    "class" => "",
		    "description"=> esc_html__('Counting number with your term', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					'type' => 'param_group',
					'heading' => esc_html__('Members Settings', 'apuslisting' ),
					'param_name' => 'items',
					'description' => '',
					'value' => '',
					'params' => array(
				    	array(
							"type" => "textfield",
							"heading" => esc_html__("Title", 'apuslisting'),
							"param_name" => "title",
							"value" => '',
							"admin_label"	=> true
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__("Number", 'apuslisting'),
							"param_name" => "number",
							"value" => ''
						),
					 	array(
							"type" => "textfield",
							"heading" => esc_html__("FontAwsome Icon", 'apuslisting'),
							"param_name" => "icon",
							"value" => '',
							'description' => esc_html__( 'This support display icon from FontAwsome, Please click', 'apuslisting' )
											. '<a href="' . ( is_ssl()  ? 'https' : 'http') . '://fortawesome.github.io/Font-Awesome/" target="_blank">'
											. esc_html__( 'here to see the list', 'apuslisting' ) . '</a>'
						),
						array(
							"type" => "attach_image",
							"description" => esc_html__("If you upload an image, icon will not show.", 'apuslisting'),
							"param_name" => "image",
							"value" => '',
							'heading'	=> esc_html__('Image', 'apuslisting' )
						)
					)
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));

		/**************************************************
		*   Element time line 
		**************************************************/
		vc_map( array(
				'name'        => esc_html__('Apus Timeline','apuslisting'),
				'base'        => 'apus_timeline',
				"class"       => "",
				"category" => esc_html__('Apus Elements', 'apuslisting'),
				'description' => esc_html__('Create Item timeline with content + icon', 'apuslisting' ),
				'params'		=> array(
					array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"value" => '',
						"admin_label" => true
					),

			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Sub Title", 'apuslisting'),
						"param_name" => "subtitle",
						"value" => '',
							"admin_label" => true
					),
					array(
						'type' => 'dropdown',
						'heading' => esc_html__('Title Alignment', 'apuslisting' ),
						'param_name' => 'alignment',
						'value' => array(
							esc_html__('Align left', 'apuslisting' ) => 'separator_align_left',
							esc_html__('Align center', 'apuslisting' ) => 'separator_align_center',
							esc_html__('Align right', 'apuslisting' ) => 'separator_align_right'
						)
					),
					
					array(
						'type' => 'param_group',
						'heading' => esc_html__('Items', 'apuslisting' ),
						'param_name' => 'items',
						'description' => '',
						'value' => urlencode( json_encode( array(
							
						) ) ),

						'params' => array(
							array(
								'type' => 'textfield',
								'heading' => esc_html__('Title', 'apuslisting' ),
								'param_name' => 'title',
								'admin_label' => true,
							),
							array(
								'type' => 'textfield',
								'heading' => esc_html__('Date', 'apuslisting' ),
								'param_name' => 'date',
								'admin_label' => true,
							),
							array(
								'type' => 'textarea',
								'heading' => esc_html__('Content', 'apuslisting' ),
								'param_name' => 'content',
								'admin_label' => false,
							),
						),
					),
				)
			)
		);

		// Apus Counter
		vc_map( array(
		    "name" => esc_html__("Apus Brands",'apuslisting'),
		    "base" => "apus_brands",
		    "class" => "",
		    "description"=> esc_html__('Display brands on front end', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Number", 'apuslisting'),
					"param_name" => "number",
					"value" => ''
				),
			 	array(
					"type" => "dropdown",
					"heading" => esc_html__("Layout Type", 'apuslisting'),
					"param_name" => "layout_type",
					'value' 	=> array(
						esc_html__('Carousel', 'apuslisting') => 'carousel', 
						esc_html__('Grid', 'apuslisting') => 'grid'
					),
					'std' => ''
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Effect", 'apuslisting'),
					"param_name" => "effect",
					'value' 	=> array(
						esc_html__('Default', 'apuslisting') => '', 
						esc_html__('Darken', 'apuslisting') => 'darken',
					),
					'std' => ''
				),
				array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Columns','apuslisting'),
	                "param_name" => 'columns',
	                "value" => array(1,2,3,4,5,6),
	            ),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));
		
		vc_map( array(
		    "name" => esc_html__("Apus Socials link",'apuslisting'),
		    "base" => "apus_socials_link",
		    "description"=> esc_html__('Show socials link', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__("Description", 'apuslisting'),
					"param_name" => "description",
					"value" => '',
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Facebook Page URL", 'apuslisting'),
					"param_name" => "facebook_url",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Twitter Page URL", 'apuslisting'),
					"param_name" => "twitter_url",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Linkedin Page URL", 'apuslisting'),
					"param_name" => "linkedin_url",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Pinterest Page URL", 'apuslisting'),
					"param_name" => "pinterest_url",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Instagram Page URL", 'apuslisting'),
					"param_name" => "instagram_url",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Align", 'apuslisting'),
					"param_name" => "align",
					'value' 	=> array(
						esc_html__('Inherit', 'apuslisting') => '', 
						esc_html__('left', 'apuslisting') => 'left',
						esc_html__('Right', 'apuslisting') => 'right',
						esc_html__('Center', 'apuslisting') => 'center',
					),
					'std' => ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));
		// newsletter
		vc_map( array(
		    "name" => esc_html__("Apus Newsletter",'apuslisting'),
		    "base" => "apus_newsletter",
		    "class" => "",
		    "description"=> esc_html__('Show newsletter form', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__("Description", 'apuslisting'),
					"param_name" => "description",
					"value" => '',
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Layout Type", 'apuslisting'),
					"param_name" => "style",
					'value' 	=> array(
						esc_html__('Default', 'apuslisting') => '', 
						esc_html__('Style Light', 'apuslisting') => 'light',
					),
					'std' => ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));
		// google map
		vc_map( array(
		    "name" => esc_html__("Apus Google Map",'apuslisting'),
		    "base" => "apus_googlemap",
		    "description" => esc_html__('Diplay Google Map', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
				),
	            array(
	                'type' => 'googlemap',
	                'heading' => esc_html__( 'Location', 'apuslisting' ),
	                'param_name' => 'location',
	                'value' => ''
	            ),
	            array(
	                'type' => 'hidden',
	                'heading' => esc_html__( 'Latitude Longitude', 'apuslisting' ),
	                'param_name' => 'lat_lng',
	                'value' => '21.0173222,105.78405279999993'
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Map height", 'apuslisting'),
					"param_name" => "height",
					"value" => '',
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Map Zoom", 'apuslisting'),
					"param_name" => "zoom",
					"value" => '13',
				),
	            array(
	                'type' => 'dropdown',
	                'heading' => esc_html__( 'Map Type', 'apuslisting' ),
	                'param_name' => 'type',
	                'value' => array(
	                    esc_html__( 'roadmap', 'apuslisting' ) 		=> 'ROADMAP',
	                    esc_html__( 'hybrid', 'apuslisting' ) 	=> 'HYBRID',
	                    esc_html__( 'satellite', 'apuslisting' ) 	=> 'SATELLITE',
	                    esc_html__( 'terrain', 'apuslisting' ) 	=> 'TERRAIN',
	                )
	            ),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));
		// Testimonial
		vc_map( array(
            "name" => esc_html__("Apus Testimonials",'apuslisting'),
            "base" => "apus_testimonials",
            'description'=> esc_html__('Display Testimonials In FrontEnd', 'apuslisting'),
            "class" => "",
            "category" => esc_html__('Apus Elements', 'apuslisting'),
            "params" => array(
              	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
				),
              	array(
	              	"type" => "textfield",
	              	"heading" => esc_html__("Number", 'apuslisting'),
	              	"param_name" => "number",
	              	"value" => '4',
	            ),
	            array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Columns','apuslisting'),
	                "param_name" => 'columns',
	                "value" => $columns
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
            )
        ));
        // Our Team
		vc_map( array(
            "name" => esc_html__("Apus Our Team",'apuslisting'),
            "base" => "apus_ourteam",
            'description'=> esc_html__('Display Our Team In FrontEnd', 'apuslisting'),
            "class" => "",
            "category" => esc_html__('Apus Elements', 'apuslisting'),
            "params" => array(
              	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
				),
				array(
					"type" => "attach_image",
					"description" => esc_html__("If you upload an image, icon will not show.", 'apuslisting'),
					"param_name" => "image_icon",
					"value" => '',
					'heading'	=> esc_html__('Title Icon', 'apuslisting' )
				),
              	array(
					'type' => 'param_group',
					'heading' => esc_html__('Members Settings', 'apuslisting' ),
					'param_name' => 'members',
					'description' => '',
					'value' => '',
					'params' => array(
						array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Name','apuslisting'),
			                "param_name" => "name",
			            ),
			            array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Job','apuslisting'),
			                "param_name" => "job",
			            ),
						array(
							"type" => "attach_image",
							"heading" => esc_html__("Image", 'apuslisting'),
							"param_name" => "image"
						),

			            array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Facebook','apuslisting'),
			                "param_name" => "facebook",
			            ),

			            array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Twitter Link','apuslisting'),
			                "param_name" => "twitter",
			            ),

			            array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Google plus Link','apuslisting'),
			                "param_name" => "google",
			            ),

			            array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Linkin Link','apuslisting'),
			                "param_name" => "linkin",
			            ),

					),
				),
				array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Columns','apuslisting'),
	                "param_name" => 'columns',
	                "value" => $columns
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
            )
        ));


 		// Widget contact
		vc_map( array(
            "name" => esc_html__("Apus Contact",'apuslisting'),
            "base" => "apus_contact",
            'description'=> esc_html__('Display Contact In FrontEnd', 'apuslisting'),
            "class" => "",
            "category" => esc_html__('Apus Elements', 'apuslisting'),
            "params" => array(
              	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
				),
              	array(
					'type' => 'param_group',
					'heading' => esc_html__('Items Settings', 'apuslisting' ),
					'param_name' => 'members',
					'description' => '',
					'value' => '',
					'params' => array(
						array(
							"type" => "attach_image",
							"description" => esc_html__("If you upload an image, icon will not show.", 'apuslisting'),
							"param_name" => "image",
							"value" => '',
							'heading'	=> esc_html__('Image', 'apuslisting' )
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__("FontAwsome Icon", 'apuslisting'),
							"param_name" => "icon",
							"value" => '',
							'description' => esc_html__( 'This support display icon from FontAwsome, Please click', 'apuslisting' )
											. '<a href="' . ( is_ssl()  ? 'https' : 'http') . '://fontawesome.io/" target="_blank">'
											. esc_html__( 'here to see the list', 'apuslisting' ) . '</a>'
						),
						array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Title','apuslisting'),
			                "param_name" => "title",
			            ),
			            array(
			                "type" => "textarea",
			                "class" => "",
			                "heading" => esc_html__('Description','apuslisting'),
			                "param_name" => "description",
			            ),
					),
				),
              	array(
	              	"type" => "textfield",
	              	"heading" => esc_html__("Number", 'apuslisting'),
	              	"param_name" => "number",
	              	"value" => '1',
	            ),
	           	array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Style','apuslisting'),
	                "param_name" => 'style',
	                'value' 	=> array(
						esc_html__('Default ', 'apuslisting') => 'default',
						esc_html__('Background White ', 'apuslisting') => 'default white', 
					),
					'std' => ''
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
            )
        ));

        // Gallery Images
		vc_map( array(
            "name" => esc_html__("Apus Gallery",'apuslisting'),
            "base" => "apus_gallery",
            'description'=> esc_html__('Display Gallery In FrontEnd', 'apuslisting'),
            "class" => "",
            "category" => esc_html__('Apus Elements', 'apuslisting'),
            "params" => array(
              	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
				),
              	array(
					"type" => "attach_images",
					"heading" => esc_html__("Images", 'apuslisting'),
					"param_name" => "images"
				),
				array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Columns','apuslisting'),
	                "param_name" => 'columns',
	                "value" => $columns
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
            )
        ));
        // Gallery Images
		vc_map( array(
            "name" => esc_html__("Apus Video",'apuslisting'),
            "base" => "apus_video",
            'description'=> esc_html__('Display Video In FrontEnd', 'apuslisting'),
            "class" => "",
            "category" => esc_html__('Apus Elements', 'apuslisting'),
            "params" => array(
              	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
				),
				array(
					"type" => "textarea",
					'heading' => esc_html__( 'Description', 'apuslisting' ),
					"param_name" => "description",
					"value" => '',
					'description' => esc_html__( 'Enter description for title.', 'apuslisting' )
			    ),
			    array(
					"type" => "attach_image",
					"heading" => esc_html__("Background Image", 'apuslisting'),
					"param_name" => "image_bg"
				),
				array(
	                "type" => "textfield",
	                "heading" => esc_html__('Youtube Video Link','apuslisting'),
	                "param_name" => 'video_link'
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
            )
        ));
		// Steps Work
		vc_map( array(
            "name" => esc_html__("Apus Steps Work",'apuslisting'),
            "base" => "apus_steps_work",
            'description'=> esc_html__('Display Steps In FrontEnd', 'apuslisting'),
            "class" => "",
            "category" => esc_html__('Apus Elements', 'apuslisting'),
            "params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
				),
				array(
	                "type" => "textarea",
	                "class" => "",
	                "heading" => esc_html__('Description','apuslisting'),
	                "param_name" => "description",
	            ),
	            array(
					"type" => "attach_image",
					"description" => esc_html__("If you upload an image, icon will not show.", 'apuslisting'),
					"param_name" => "image",
					"value" => '',
					'heading'	=> esc_html__('Image', 'apuslisting' )
				),
	           	array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Style','apuslisting'),
	                "param_name" => 'style',
	                'value' 	=> array(
						esc_html__('Image Top ', 'apuslisting') => 'top',
						esc_html__('Image Bottom', 'apuslisting') => 'bottom',
					),
					'std' => ''
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
            )
        ));

        // Features Box
		vc_map( array(
            "name" => esc_html__("Apus Features Box",'apuslisting'),
            "base" => "apus_features_box",
            'description'=> esc_html__('Display Features In FrontEnd', 'apuslisting'),
            "class" => "",
            "category" => esc_html__('Apus Elements', 'apuslisting'),
            "params" => array(
				array(
					'type' => 'param_group',
					'heading' => esc_html__('Members Settings', 'apuslisting' ),
					'param_name' => 'items',
					'description' => '',
					'value' => '',
					'params' => array(
						array(
							"type" => "textfield",
							"heading" => esc_html__("Title", 'apuslisting'),
							"param_name" => "title",
							"admin_label" => true,
							"value" => '',
						),
			            array(
			                "type" => "textarea",
			                "class" => "",
			                "heading" => esc_html__('Description','apuslisting'),
			                "param_name" => "description",
			            ),
						array(
							"type" => "textfield",
							"heading" => esc_html__("Font Icon", 'apuslisting'),
							"param_name" => "icon",
							"value" => '',
							'description' => esc_html__( 'This support display icon from FontAwsome, Please click', 'apuslisting' )
											. '<a href="' . ( is_ssl()  ? 'https' : 'http') . '://fontawesome.io/" target="_blank">'
											. esc_html__( 'here to see the list', 'apuslisting' ) . '</a>'
						),
						array(
							"type" => "attach_image",
							"description" => esc_html__("If you upload an image, icon will not show.", 'apuslisting'),
							"param_name" => "image",
							"value" => '',
							'heading'	=> esc_html__('Image', 'apuslisting' )
						),
					),
				),
				array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Columns','apuslisting'),
	                "param_name" => 'columns',
	                "value" => array(1,2,3,4),
	            ),
	           	array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Style','apuslisting'),
	                "param_name" => 'style',
	                'value' 	=> array(
						esc_html__('Default ', 'apuslisting') => 'default',
						esc_html__('Small ', 'apuslisting') => 'style-small',
						esc_html__('Icon ', 'apuslisting') => 'style-icon',
					),
					'std' => ''
	            ),
	            array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
            )
        ));

		// Banner
		vc_map( array(
		    "name" => esc_html__("Apus Banner",'apuslisting'),
		    "base" => "apus_banner",
		    "class" => "",
		    "description"=> esc_html__('Show Text and Images', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "attach_image",
					"heading" => esc_html__("Image", 'apuslisting'),
					"param_name" => "image"
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Url", 'apuslisting'),
					"param_name" => "url",
					"admin_label"	=> true
				),
				array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Style','apuslisting'),
	                "param_name" => 'style',
	                'value' 	=> array(
						esc_html__('Styel 1 ', 'apuslisting') => 'style1', 
						esc_html__('Styel 2 ', 'apuslisting') => 'style2',
					),
					'std' => ''
	            ),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));

		// Banner
		vc_map( array(
		    "name" => esc_html__("Apus Works",'apuslisting'),
		    "base" => "apus_works",
		    "class" => "",
		    "description"=> esc_html__('Show Text and Images', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					'type' => 'param_group',
					'heading' => esc_html__('Members Settings', 'apuslisting' ),
					'param_name' => 'items',
					'description' => '',
					'value' => '',
					'params' => array(
						array(
							"type" => "textfield",
							"heading" => esc_html__("Title", 'apuslisting'),
							"param_name" => "title",
							"admin_label" => true,
							"value" => '',
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__("Url", 'apuslisting'),
							"param_name" => "url",
							"admin_label"	=> true
						),
			            array(
			                "type" => "textarea",
			                "class" => "",
			                "heading" => esc_html__('Description','apuslisting'),
			                "param_name" => "description",
			            ),
						array(
							"type" => "attach_image",
							"description" => esc_html__("If you upload an image, icon will not show.", 'apuslisting'),
							"param_name" => "image",
							"value" => '',
							'heading'	=> esc_html__('Image', 'apuslisting' )
						),
						
					),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));
		
		$custom_menus = array();
		if ( is_admin() ) {
			$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
			if ( is_array( $menus ) && ! empty( $menus ) ) {
				foreach ( $menus as $single_menu ) {
					if ( is_object( $single_menu ) && isset( $single_menu->name, $single_menu->slug ) ) {
						$custom_menus[ $single_menu->name ] = $single_menu->slug;
					}
				}
			}
		}
		// Menu
		vc_map( array(
		    "name" => esc_html__("Apus Custom Menu",'apuslisting'),
		    "base" => "apus_custom_menu",
		    "class" => "",
		    "description"=> esc_html__('Show Custom Menu', 'apuslisting'),
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Menu', 'apuslisting' ),
					'param_name' => 'nav_menu',
					'value' => $custom_menus,
					'description' => empty( $custom_menus ) ? esc_html__( 'Custom menus not found. Please visit Appearance > Menus page to create new menu.', 'apuslisting' ) : esc_html__( 'Select menu to display.', 'apuslisting' ),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));

		// vertical menu
		$option_menu  = array(); 
		if( is_admin() ){
			$menus = wp_get_nav_menus( array( 'orderby' => 'name' ) );
		    $option_menu = array( esc_html__('--- Select Menu ---', 'apuslisting') => '' );
		    foreach ($menus as $menu) {
		    	$option_menu[$menu->name] = $menu->slug;
		    }
		} 
		vc_map( array(
		    "name" => esc_html__("Apus Vertical MegaMenu",'apuslisting'),
		    "base" => "apus_verticalmenu",
		    "class" => "",
		    "category" => esc_html__('Apus Elements', 'apuslisting'),
		    "params" => array(

		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'apuslisting'),
					"param_name" => "title",
					"value" => 'Vertical Menu',
					"admin_label"	=> true
				),

		    	array(
					"type" => "dropdown",
					"heading" => esc_html__("Menu", 'apuslisting'),
					"param_name" => "menu",
					"value" => $option_menu,
					"description" => esc_html__("Select menu.", 'apuslisting')
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Position", 'apuslisting'),
					"param_name" => "position",
					"value" => array(
							'left'=>'left',
							'right'=>'right'
						),
					'std' => 'left',
					"description" => esc_html__("Postion Menu Vertical.", 'apuslisting')
				),
				array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Style','apuslisting'),
	                "param_name" => 'style',
	                'value' 	=> array(
						esc_html__('Styel Default ', 'apuslisting') => '', 
						esc_html__('Styel Darken ', 'apuslisting') => 'darken', 
					),
					'std' => ''
	            ),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'apuslisting'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
				)
		   	)
		));
	}
}
add_action( 'vc_after_set_mode', 'apuslisting_load_load_theme_element', 99 );

class WPBakeryShortCode_apus_title_heading extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_call_action extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_banner_countdown extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_featurebanner extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_brands extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_socials_link extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_newsletter extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_banner extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_googlemap extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_testimonials extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_timeline extends WPBakeryShortCode {}

class WPBakeryShortCode_apus_counter extends WPBakeryShortCode {
	public function __construct( $settings ) {
		parent::__construct( $settings );
		$this->load_scripts();
	}

	public function load_scripts() {
		wp_register_script('apuslisting-counterup-js', get_template_directory_uri().'/assets/js/jquery.counterup.min.js', array('jquery'), false, true);
	}
}
class WPBakeryShortCode_apus_contact extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_ourteam extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_gallery extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_video extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_features_box extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_steps_work extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_works extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_custom_menu extends WPBakeryShortCode {}
class WPBakeryShortCode_apus_verticalmenu extends WPBakeryShortCode {}