<?php

if ( in_array( 'js_composer/js_composer.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	
    if ( !function_exists('apuslisting_vc_get_term_object')) {
		function apuslisting_vc_get_term_object($term) {
			$vc_taxonomies_types = vc_taxonomies_types();

			return array(
				'label' => $term->name,
				'value' => $term->slug,
				'group_id' => $term->taxonomy,
				'group' => isset( $vc_taxonomies_types[ $term->taxonomy ], $vc_taxonomies_types[ $term->taxonomy ]->labels, $vc_taxonomies_types[ $term->taxonomy ]->labels->name ) ? $vc_taxonomies_types[ $term->taxonomy ]->labels->name : esc_html__( 'Taxonomies', 'apuslisting' ),
			);
		}
	}

	// types
	if ( !function_exists('apuslisting_categories_field_search')) {
		function apuslisting_categories_field_search( $search_string ) {
			$data = array();
			$vc_taxonomies_types = array('job_listing_category');
			$vc_taxonomies = get_terms( $vc_taxonomies_types, array(
				'hide_empty' => false,
				'search' => $search_string
			) );
			if ( is_array( $vc_taxonomies ) && ! empty( $vc_taxonomies ) ) {
				foreach ( $vc_taxonomies as $t ) {
					if ( is_object( $t ) ) {
						$data[] = apuslisting_vc_get_term_object( $t );
					}
				}
			}
			return $data;
		}
	}
	if ( !function_exists('apuslisting_categories_render')) {
		function apuslisting_categories_render( $query ) {
			$category = get_term_by('slug', $query['value'], 'job_listing_category');
			if ( ! empty( $query ) && !empty($category)) {
				$data = array();
				$data['value'] = $category->slug;
				$data['label'] = $category->name;
				return ! empty( $data ) ? $data : false;
			}
			return false;
		}
	}

	// locations
	if ( !function_exists('apuslisting_regions_field_search')) {
		function apuslisting_regions_field_search( $search_string ) {
			$data = array();
			$vc_taxonomies_types = array('job_listing_region');
			$vc_taxonomies = get_terms( $vc_taxonomies_types, array(
				'hide_empty' => false,
				'search' => $search_string
			) );
			if ( is_array( $vc_taxonomies ) && ! empty( $vc_taxonomies ) ) {
				foreach ( $vc_taxonomies as $t ) {
					if ( is_object( $t ) ) {
						$data[] = apuslisting_vc_get_term_object( $t );
					}
				}
			}
			return $data;
		}
	}
	if ( !function_exists('apuslisting_regions_render')) {
		function apuslisting_regions_render( $query ) {
			$category = get_term_by('slug', $query['value'], 'job_listing_region');
			if ( ! empty( $query ) && !empty($category)) {
				$data = array();
				$data['value'] = $category->slug;
				$data['label'] = $category->name;
				return ! empty( $data ) ? $data : false;
			}
			return false;
		}
	}


	$tags = array(
		'apus_listings' => array( 'categories' => 'categories', 'regions' => 'regions' ),
		'apus_listings_map' => array( 'categories' => 'categories', 'regions' => 'regions' ),
	);
	foreach( $tags as $tag => $param_names ){
		if ( is_array($param_names) ) {
			foreach ($param_names as $param_name => $tax) {
				add_filter( 'vc_autocomplete_'.$tag .'_'.$param_name.'_callback', 'apuslisting_'.$tax.'_field_search', 10, 1 );
		 		add_filter( 'vc_autocomplete_'.$tag .'_'.$param_name.'_render', 'apuslisting_'.$tax.'_render', 10, 1 );
			}
		} else {
			add_filter( 'vc_autocomplete_'.$tag .'_'.$param_names.'_callback', 'apuslisting_'.$param_names.'_field_search', 10, 1 );
		 	add_filter( 'vc_autocomplete_'.$tag .'_'.$param_names.'_render', 'apuslisting_'.$param_names.'_render', 10, 1 );
		}
	}

}