<?php
if ( class_exists("WPBakeryShortCode") ) {
	if ( !function_exists('apuslisting_listing_get_categories') ) {
	    function apuslisting_listing_get_categories( $tax = 'job_listing_category', $text_default = ' --- Choose a Category --- ' ) {
	        $return = array( $text_default );

	        $args = array(
	            'type' => 'post',
	            'child_of' => 0,
	            'orderby' => 'name',
	            'order' => 'ASC',
	            'hide_empty' => false,
	            'hierarchical' => 1,
	            'taxonomy' => $tax
	        );

	        $categories = get_categories( $args );
	        apuslisting_listing_get_category_childs( $categories, 0, 0, $return );

	        return $return;
	    }
	}

	if ( !function_exists('apuslisting_listing_get_category_childs') ) {
	    function apuslisting_listing_get_category_childs( $categories, $id_parent, $level, &$dropdown ) {
	        foreach ( $categories as $key => $category ) {
	            if ( $category->category_parent == $id_parent ) {
	                $dropdown = array_merge( $dropdown, array( str_repeat( "- ", $level ) . $category->name => $category->slug ) );
	                unset($categories[$key]);
	                apuslisting_listing_get_category_childs( $categories, $category->term_id, $level + 1, $dropdown );
	            }
	        }
	    }
	}

	if ( !function_exists('apuslisting_load_job_manager_element')) {
		function apuslisting_load_job_manager_element() {
			
			vc_map( array(
		        "name" => esc_html__("Apus Listings", 'apuslisting'),
		        "base" => "apus_listings",
		        "class" => "",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display Listings', 'apuslisting' ),
		        "params" => array(
		            array(
		                "type" => "textfield",
		                "class" => "",
		                "heading" => esc_html__('Title','apuslisting'),
		                "param_name" => "title",
		            ),
		            array(
		                "type" => "textarea",
		                "class" => "",
		                "heading" => esc_html__('Sub Title','apuslisting'),
		                "param_name" => "subtitle",
		            ),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Number items to show", 'apuslisting'),
		                "param_name" => "number",
		                'std' => '4'
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Course Type','apuslisting'),
		                "param_name" => 'types',
		                "value" => array(
		                	esc_html__('Recent Listing', 'apuslisting') => 'recent',
		                	esc_html__('Popular Listing', 'apuslisting') => 'popular',
		                	esc_html__('Featured Listing', 'apuslisting') => 'featured',
	                	),
		            ),
		            array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Listing Categories', 'apuslisting' ),
					    'param_name' => 'categories',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose categories if you want to show listings of them', 'apuslisting' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Listing Regions', 'apuslisting' ),
					    'param_name' => 'regions',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose regions if you want to show listings of them', 'apuslisting' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Number Columns','apuslisting'),
		                "param_name" => "columns",
		                "value" => array(1,2,3,4,6)
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Style Layout','apuslisting'),
		                "param_name" => "style",
		                "value" => array(
		                	esc_html__('Grid', 'apuslisting') => 'grid',
		                	esc_html__('Carousel', 'apuslisting') => 'carousel',
		                	esc_html__('List', 'apuslisting') => 'list',
	                	),
		                "admin_label" => true,
		                "description" => esc_html__("Select Style Layout.", 'apuslisting')
		            ),
		            array(
		                "type" => "checkbox",
		                "heading" => esc_html__('Show Nav','apuslisting'),
		                "param_name" => "check",
		                "value" => 0,
		                'dependency' => array(
							'element' => 'style',
							'value' => array('carousel'),
						),
		            ),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

			vc_map( array(
		        "name" => esc_html__("Apus Listings Map", 'apuslisting'),
		        "base" => "apus_listings_map",
		        "class" => "",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display Listings', 'apuslisting' ),
		        "params" => array(
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Number items to show", 'apuslisting'),
		                "param_name" => "number",
		                'std' => '4'
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Course Type','apuslisting'),
		                "param_name" => 'types',
		                "value" => array(
		                	esc_html__('Popular Listing', 'apuslisting') => 'popular',
		                	esc_html__('Featured Listing', 'apuslisting') => 'featured',
		                	esc_html__('Recent Listing', 'apuslisting') => 'recent',
	                	),
		            ),
		            array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Listing Categories', 'apuslisting' ),
					    'param_name' => 'categories',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose categories if you want to show listings of them', 'apuslisting' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Listing Regions', 'apuslisting' ),
					    'param_name' => 'regions',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose regions if you want to show listings of them', 'apuslisting' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

			$categories = array();
			if ( is_admin() ) {
				$categories = apuslisting_listing_get_categories();
			}
			vc_map( array(
		        "name" => esc_html__("Apus Listing Categories",'apuslisting'),
		        "base" => "apus_listing_categories",
		        "class" => "",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display Listing Type in frontend', 'apuslisting' ),
		        "params" => array(
	        		array(
						'type' => 'param_group',
						'heading' => esc_html__('Categories Settings', 'apuslisting' ),
						'param_name' => 'categories',
						'params' => array(
				            array(
								"type" => "dropdown",
								"heading" => esc_html__('Category', 'apuslisting'),
								"param_name" => "category",
								"value" => $categories
							),
							array(
				                "type" => "textfield",
				                "heading" => esc_html__("Title", 'apuslisting'),
				                "param_name" => "title"
				            ),
				            array(
								"type"        => "textfield",
								"param_name"  => "icon_font",
								'heading'     => esc_html__('Icon Font', 'apuslisting' ),
								'description' => esc_html__( 'This support display icon from FontAwsome, Please click', 'apuslisting' )
													. '<a href="' . ( is_ssl()  ? 'https' : 'http') . '://fortawesome.github.io/Font-Awesome/" target="_blank">'
													. esc_html__( 'here to see the list', 'apuslisting' ) . '</a>'
							),
							array(
								"type" => "attach_image",
								"description" => esc_html__("If you upload an icon image, icon font will not show.", 'apuslisting'),
								"param_name" => "icon_image",
								'heading'	=> esc_html__('Icon Image', 'apuslisting' )
							),
						),
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Style','apuslisting'),
		                "param_name" => 'style',
		                "value" => array(
		                	esc_html__('Default', 'apuslisting') => 'default',
		                	esc_html__('Style1', 'apuslisting') => 'style1',
	                	),
		            ),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

			$cities = array();
			if ( is_admin() ) {
				$cities = apuslisting_listing_get_categories( 'job_listing_region', esc_html__( ' --- Choose a Category --- ', 'apuslisting' ) );
			}
			vc_map( array(
		        "name" => esc_html__("Apus Listing City Info",'apuslisting'),
		        "base" => "apus_listing_city_info",
		        "class" => "",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display Listing Type in frontend', 'apuslisting' ),
		        "params" => array(
		        	array(
						"type" => "dropdown",
						"heading" => esc_html__('City', 'apuslisting'),
						"param_name" => "city",
						"value" => $cities
					),
					array(
		                "type" => "textfield",
		                "heading" => esc_html__("Title", 'apuslisting'),
		                "param_name" => "title"
		            ),
					array(
						"type"        => "attach_image",
						"param_name"  => "image",
						"value"       => '',
						'heading'     => esc_html__('City Image', 'apuslisting' )
					),
					array(
		                "type" => "checkbox",
		                "heading" => esc_html__('Show Listing Number', 'apuslisting'),
		                "param_name" => "show_nb",
		                "value" => 0,
		            ),
		            array(
						"type" => "dropdown",
						"heading" => esc_html__("Style",'apuslisting'),
						"param_name" => "style",
						"value" => array(
							esc_html__("Style 1", 'apuslisting') => 'style1',
							esc_html__("Style 2", 'apuslisting') => 'style2',
						)
					),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

			vc_map( array(
		        "name" => esc_html__("Apus Listing Cities",'apuslisting'),
		        "base" => "apus_listing_cities",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display Listing Type in frontend', 'apuslisting' ),
		        "params" => array(
		        	array(
						'type' => 'param_group',
						'heading' => esc_html__('Cities Settings', 'apuslisting' ),
						'param_name' => 'cities',
						'params' => array(
				            array(
								"type" => "dropdown",
								"heading" => esc_html__('City', 'apuslisting'),
								"param_name" => "city",
								"value" => $cities
							),
							array(
				                "type" => "textfield",
				                "heading" => esc_html__("Title", 'apuslisting'),
				                "param_name" => "title"
				            ),
							array(
								"type"        => "attach_image",
								"param_name"  => "image",
								'heading'     => esc_html__('City Image', 'apuslisting' )
							),
						),
					),
					array(
		                "type" => "checkbox",
		                "heading" => esc_html__('Show Listing Number', 'apuslisting'),
		                "param_name" => "show_nb",
		                "value" => 0,
		            ),
		            array(
						"type" => "dropdown",
						"heading" => esc_html__("Style",'apuslisting'),
						"param_name" => "style",
						"value" => array(
							esc_html__("Style 1", 'apuslisting') => 'style1',
							esc_html__("Style 2", 'apuslisting') => 'style2',
						)
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Columns",'apuslisting'),
						"param_name" => "columns",
						"value" => array(1,2,3,4,5,6)
					),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

		    vc_map( array(
		        "name" => esc_html__("Apus Listing Search", 'apuslisting'),
		        "base" => "apus_listing_search",
		        "class" => "",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display Listing Search Form in frontend', 'apuslisting' ),
		        "params" => array(
		        	array(
						'type' => 'checkbox',
						'heading' => esc_html__( 'Show Search Keyword Field?', 'apuslisting' ),
						'param_name' => 'search_keyword',
						'description' => esc_html__( 'Enable Search keyword.', 'apuslisting' ),
						'value' => array( esc_html__( 'Yes, to show Keyword field', 'apuslisting' ) => 'yes' )
					),
					array(
						'type' => 'checkbox',
						'heading' => esc_html__( 'Show Search Suggestions', 'apuslisting' ),
						'param_name' => 'show_search_suggestions',
						'description' => sprintf(__('Go to <a href="%s" target="_blank" title="Menu">Menu</a> o add menu for "Suggestions Search" location', 'apuslisting'), admin_url( 'nav-menus.php') )
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Show Search Region/Location Field?",'apuslisting'),
						"param_name" => "search_region_location",
						"value" => array(
							esc_html__("Hidden", 'apuslisting') => '',
							esc_html__("Regions", 'apuslisting') => 'region',
							esc_html__("Location", 'apuslisting') => 'location',
						)
					),
					array(
						'type' => 'checkbox',
						'heading' => esc_html__( 'Show Search Category Field?', 'apuslisting' ),
						'param_name' => 'search_category',
						'description' => esc_html__( 'Enable Search category.', 'apuslisting' ),
						'value' => array( esc_html__( 'Yes, to show Category field', 'apuslisting' ) => 'yes' )
					),
		            array(
						"type" => "dropdown",
						"heading" => esc_html__("Style",'apuslisting'),
						"param_name" => "style",
						"value" => array(
							esc_html__("Style 1", 'apuslisting') => 'style1',
							esc_html__("Style 2", 'apuslisting') => 'style2',
						)
					),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

		    vc_map( array(
		        "name" => esc_html__("Apus Edit Profile", 'apuslisting'),
		        "base" => "apus_edit_profile",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display edit profile form in frontend', 'apuslisting' ),
		        "params" => array(

		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

		    vc_map( array(
		        "name" => esc_html__("Apus My Reviews", 'apuslisting'),
		        "base" => "apus_my_reviews",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display edit profile form in frontend', 'apuslisting' ),
		        "params" => array(
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));

		    vc_map( array(
		        "name" => esc_html__("Apus My Follower/Following", 'apuslisting'),
		        "base" => "apus_my_follow",
		    	"category" => esc_html__('Apus Listings', 'apuslisting'),
		    	'description'	=> esc_html__( 'Display edit profile form in frontend', 'apuslisting' ),
		        "params" => array(
		        	array(
						"type" => "dropdown",
						"heading" => esc_html__("Display Type",'apuslisting'),
						"param_name" => "display_type",
						"value" => array(
							esc_html__("Followers", 'apuslisting') => 'followers',
							esc_html__("Following", 'apuslisting') => 'following',
						)
					),
		            array(
		                "type" => "textfield",
		                "heading" => esc_html__("Extra class name", 'apuslisting'),
		                "param_name" => "el_class",
		                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apuslisting')
		            ),
		        )
		    ));
		}
		add_action( 'vc_after_set_mode', 'apuslisting_load_job_manager_element', 99 );

		class WPBakeryShortCode_Apus_listings extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_listings_map extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_listing_categories extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_listing_city_info extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_listing_cities extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_listing_search extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_edit_profile extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_my_reviews extends WPBakeryShortCode {}
		class WPBakeryShortCode_Apus_my_follow extends WPBakeryShortCode {}
	}
}