<?php wp_enqueue_script( 'wp-job-manager-ajax-filters' ); ?>

<?php
	do_action( 'job_manager_job_filters_before', $atts );
	$atts['atts'] = $atts;
	$atts['keywords'] = $keywords;
?>
<?php
	$version = apuslisting_get_listing_archive_version();
	$sidebar_position = '';
	if ( $version == 'default' ) {
		$sidebar_position = apuslisting_get_config('listing_archive_layout', 'left-main');
	}
	if ($version == 'half-map' || $sidebar_position == 'main' ) {
?>
		<?php if ( apuslisting_get_config('listing_filter_type', 'region') === 'region' ) { ?>
			<?php get_job_manager_template( 'job-filters-region.php', $atts ); ?>
		<?php } else { ?>
			<?php get_job_manager_template( 'job-filters-location.php', $atts ); ?>
		<?php } ?>

		<?php
		if ( $sidebar_position === 'main' ) {
			apuslisting_render_breadcrumbs();
		}
		?>
<?php } else { 

	$sidebar = apuslisting_get_listings_sidebar_configs();
?>
	<div class="col-md-4 col-xs-12 sidebar listings-sidebar <?php echo esc_attr($sidebar['class']); ?>">
		<form class="job_filters job_filters-sidebar">
			<?php
				$display_mode = apuslisting_get_listing_display_mode();
				$filter_order = isset($_COOKIE['apuslisting_order']) ? $_COOKIE['apuslisting_order'] : 'default';
			?>
			<input class="input_display_mode" type="hidden" name="display_mode" value="<?php echo trim($display_mode); ?>">
			<input class="input_filter_oder" type="hidden" name="filter_order" value="<?php echo trim($filter_order); ?>">

			<div class="filter-inner clearfix">
			<?php do_action( 'job_manager_job_filters_start', $atts ); ?>
			<div class="search_jobs">
				<?php do_action( 'job_manager_job_filters_search_jobs_start', $atts ); ?>

				<div class="widget">
					<h3 class="widget-title hidden"><?php esc_html_e('Search', 'apuslisting'); ?></h3>
					<div class="content">

						<div class="search_keywords <?php if ( !apuslisting_get_config('listing_filter_show_keyword', true) ) { ?> hidden <?php } ?>">
							<input type="text" name="search_keywords" id="search_keywords" placeholder="<?php esc_attr_e( 'Keywords', 'apuslisting' ); ?>" value="<?php echo esc_attr( $keywords ); ?>" />
						</div>

						<?php if ( apuslisting_get_config('listing_filter_show_price', true) ) {
							$price_ranges = apuslisting_job_manager_price_range_icons();
							$price_range_default = isset( $_REQUEST['filter_price_range'] ) ? $_REQUEST['filter_price_range'] : array();

						?>
						<div class="search_price_range clearfix">
							<?php
								foreach ($price_ranges as $key => $label) {
									?>
									<label for="filter_price_range_<?php echo esc_attr($key); ?>" data-toggle="tooltip" title="<?php echo esc_attr($label['label']); ?>">
										<input id="filter_price_range_<?php echo esc_attr($key); ?>" type="checkbox" name="filter_price_range[]" value="<?php echo esc_attr($key); ?>" <?php echo trim(in_array($key, $price_range_default) ? 'checked="checked"' : ''); ?>> <?php echo esc_attr($label['icon']); ?>
									</label>
									<?php
								}
							?>
						</div>
						<?php } ?>

						<?php if ( apuslisting_get_config('listing_filter_show_categories', true) ) { ?>
							<div class="select-categories">
								<?php
								if ( $show_categories && get_terms( 'job_listing_category' ) ) :

									//select the current category
									if ( empty( $selected_category ) ) {
										//try to see if there is a search_categories (notice the plural form) GET param
										$search_categories = isset( $_REQUEST['search_categories'] ) ? $_REQUEST['search_categories'] : '';
										if ( ! empty( $search_categories ) && is_array( $search_categories ) ) {
											$search_categories = $search_categories[0];
										}
										$search_categories = sanitize_text_field( stripslashes( $search_categories ) );
										if ( ! empty( $search_categories ) ) {
											if ( is_numeric( $search_categories ) ) {
												$selected_category = intval( $search_categories );
											} else {
												$term = get_term_by( 'slug', $search_categories, 'job_listing_category' );
												$selected_category = $term->term_id;
											}
										} elseif (  ! empty( $categories ) ) {
											if ( is_array($categories) ) {
												$selected_category = intval( $categories[0] );
											} else {
												$selected_category = intval( $categories );
											}
										}
									} ?>

									<div class="search_categories">
										<?php job_manager_dropdown_categories( array(
											'taxonomy'        => 'job_listing_category',
				                            'hierarchical'    => 1,
				                            'show_option_all' => esc_html__( 'All categories', 'apuslisting' ),
				                            'name'            => 'search_categories',
				                            'orderby'         => 'name',
				                            'selected'        => $selected_category,
				                            'multiple'        => false
										) ); ?>
									</div>

								<?php endif; ?>
							</div><!-- .select-categories -->
						<?php } ?>

						<?php if ( apuslisting_get_config('listing_filter_type', 'region') === 'region' ) { ?>
							<?php if ( apuslisting_get_config('listing_filter_show_regions', true) ) { ?>
								<?php
								$job_regions = get_terms( array( 'job_listing_region' ), array( 'hierarchical' => 1 ) );
								if ( ! is_wp_error( $job_regions ) && ! empty ( $job_regions ) ) {

									$selected_region = '';
									//try to see if there is a search_categories (notice the plural form) GET param
									$search_regions = isset( $_REQUEST['job_region_select'] ) ? $_REQUEST['job_region_select'] : '';
									if ( ! empty( $search_regions ) && is_array( $search_regions ) ) {
										$search_regions = $search_regions[0];
									}
									$search_regions = sanitize_text_field( stripslashes( $search_regions ) );
									if ( ! empty( $search_regions ) ) {
										if ( is_numeric( $search_regions ) ) {
											$selected_region = intval( $search_regions );
										} else {
											$term = get_term_by( 'slug', $search_regions, 'job_listing_region' );
											$selected_region = $term->term_id;
										}
									} elseif (  ! empty( $atts['regions'] ) ) {
										if ( is_array($atts['regions']) ) {
											$selected_region = intval( $atts['regions'][0] );
										} else {
											$selected_region = intval( $atts['regions'] );
										}
									}
									?>
									<div class="select-regions">
										<select class="regions-select <?php echo ( is_rtl() ? 'chosen-rtl' : '' ); ?>" data-placeholder="<?php esc_html_e( 'Filter by regions', 'apuslisting' ); ?>" name="job_region_select">
											<option value=""><?php esc_html_e( 'All regions', 'apuslisting' ); ?></option>
											<?php foreach ( $job_regions as $term ) : ?>
												<option value="<?php echo esc_attr($term->term_id); ?>" <?php echo ($term->term_id == $selected_region) ? 'selected="selected"' : ''; ?>><?php echo trim($term->name); ?></option>
											<?php endforeach; ?>
										</select>
									</div>
								<?php } ?>
							<?php } ?>
						<?php } else { ?>
							<?php if ( apuslisting_get_config('listing_filter_show_location', true) ) { ?>
								<div class="search_location">
									<?php
										$search_location = isset( $_REQUEST['search_location'] ) ? $_REQUEST['search_location'] : '';
										$search_lat = isset( $_REQUEST['search_lat'] ) ? $_REQUEST['search_lat'] : '';
										$search_lng = isset( $_REQUEST['search_lng'] ) ? $_REQUEST['search_lng'] : '';
										$use_search_distance = isset( $_REQUEST['use_search_distance'] ) ? $_REQUEST['use_search_distance'] : 'on';
										$search_distance = isset( $_REQUEST['search_distance'] ) ? $_REQUEST['search_distance'] : '50';
									?>
									<input type="text" name="search_location" id="search_location" placeholder="<?php esc_html_e( 'Location', 'apuslisting' ); ?>" value="<?php echo esc_html($search_location); ?>" />
									<span class="find-me"><?php get_template_part( 'assets/images/icon/location' ); ?></span>
									<input type="hidden" name="search_lat" id="search_lat" value="<?php echo esc_html($search_lat); ?>" />
									<input type="hidden" name="search_lng" id="search_lng" value="<?php echo esc_html($search_lng); ?>" />
								</div>
							<?php } ?>
							<?php
							if ( is_tax('job_listing_region') ) {
								global $wp_query;
								$term =	$wp_query->queried_object;
								?>
								<input type="hidden" name="job_region_select" value="<?php echo esc_attr($term->term_id); ?>">
								<?php
							}
							?>
							<?php if ( apuslisting_get_config('listing_filter_show_distance', true) ) {
								$distance_type = apuslisting_get_config('listing_filter_distance_type', 'km');
							?>
								<div class="search_distance_wrapper clearfix">
									<div class="search-distance-label">
										<label for="use_search_distance">
											<input name="use_search_distance" id="use_search_distance" checked="checked" type="checkbox">
											<?php echo sprintf(__('Radius: <span class="text-distance">%s</span> %s', 'apuslisting'), $search_distance, $distance_type); ?>
										</label>
									</div>
									<div class="search-distance-wrapper">
										<input type="hidden" name="search_distance" id="search_distance" value="50" value="<?php echo esc_html($search_distance); ?>" />
										<div id="search-distance-slider"></div>
									</div>
								</div>
							<?php } ?>
						<?php } ?>
							
						<?php if ( apuslisting_get_config('listing_filter_show_amenieties', 'more-filter') ) { ?>
							<div class="search_amenity_wrapper">
								<div class="clearfix">
									<a href="javascript:void(0);" class="show-more-filter pull-right"><?php esc_html_e('More Filters', 'apuslisting'); ?>
										<?php if ( apuslisting_get_config('listing_filter_show_amenieties', 'more-filter') === 'more-filter' ) { ?>
											<i class="icon-add"></i>
										<?php } else { ?>
											<i class="icon-minimize"></i>
										<?php } ?>
									</a>
								</div>
								<div class="amenities-wrap <?php if ( apuslisting_get_config('listing_filter_show_amenieties', 'more-filter') !== 'more-filter' ) { ?>active<?php } ?>">
									<?php
										$job_amenities = get_terms( array( 'job_listing_amenity' ), array( 'hierarchical' => 1 ) );
										if ( !empty( $job_amenities ) ) {
											$selected = '';
											if ( is_tax( 'job_listing_amenity' )  ) {
												global $wp_query;
												$term =	$wp_query->queried_object;
												$selected = $term->slug;
											} 
										?>
											<ul class="job_amenities">
												<?php foreach ( $job_amenities as $amenity ) : ?>
													<li><label for="job_amenity_<?php echo esc_attr($amenity->slug); ?>" class="<?php echo sanitize_title( $amenity->name ); ?>"><input type="checkbox" name="filter_job_amenity[]" value="<?php echo trim($amenity->slug); ?>" id="job_amenity_<?php echo esc_attr($amenity->slug); ?>" <?php echo trim($selected == $amenity->slug ? 'checked="checked"' : ''); ?> /> <?php echo trim($amenity->name); ?></label></li>
												<?php endforeach; ?>
											</ul>
									<?php } ?>
								</div>
							</div>
						<?php } ?>

						<div class="listing-search-result-filter"></div>
					</div>
				</div>
				
				<?php do_action( 'job_manager_job_filters_search_jobs_end', $atts ); ?>
			</div>
			<?php do_action( 'job_manager_job_filters_end', $atts ); ?>
			</div>
		</form>
  		<?php if ( is_active_sidebar( $sidebar['sidebar'] ) ): ?>
	  		<aside class="sidebar" itemscope="itemscope" itemtype="http://schema.org/WPSideBar">
	   			<?php dynamic_sidebar( $sidebar['sidebar'] ); ?>
	   		</aside>
   		<?php endif; ?>
	</div>
<?php } ?>
<?php do_action( 'job_manager_job_filters_after', $atts ); ?>
<noscript><?php esc_html_e( 'Your browser does not support JavaScript, or it is disabled. JavaScript must be enabled in order to view listings.', 'apuslisting' ); ?></noscript>	