<?php

global $post;

$terms = get_the_terms( $post->ID, 'job_listing_category' );
$termString  = '';
$data_output = '';
if ( ! is_wp_error( $terms ) && ( is_array( $terms ) || is_object( $terms ) ) ) {
	$firstTerm = $terms[0];
	if ( ! $firstTerm == null ) {
		$term_id = $firstTerm->term_id;
		$data_output .= ' data-icon="' . apuslisting_get_term_icon_url( $term_id ) . '"';
		$count = 1;
		foreach ( $terms as $term ) {
			$termString .= $term->name;
			if ( $count != count( $terms ) ) {
				$termString .= ', ';
			}
			$count ++;
		}
	}
}

$total_rating = apuslisting_get_total_rating( $post->ID );
$comments = apuslisting_get_total_reviews( $post->ID );
?>


<div <?php job_listing_class('job-list-style'); ?> itemscope itemtype="http://schema.org/LocalBusiness"
	data-longitude="<?php echo esc_attr( $post->geolocation_long ); ?>"
	data-latitude="<?php echo esc_attr( $post->geolocation_lat ); ?>"
	data-img="<?php echo esc_attr( apuslisting_get_post_image_src( $post->ID, 'apuslisting-card-image' ) ); ?>"
	data-permalink="<?php esc_attr( the_job_permalink() ); ?>"
	data-categories="<?php echo esc_attr( $termString ); ?>"
	<?php echo trim($data_output); ?>
	>

	<?php apuslisting_display_hidden_category_icon($terms); ?>
	<div class="hidden listing-review">
		<?php apuslisting_print_review($total_rating, 'list', $comments); ?>
	</div>

	<div class="media">
		<?php $img_src = apuslisting_get_post_image_src($post->ID, 'apuslisting-card-image');
		if ($img_src) {
		?>
			<div class="media-left">
				<div class="listing-image">
					<?php apuslisting_display_listing_image('apuslisting-image-list'); ?>

					<?php $status = apuslisting_get_current_time_status( $post->ID ); ?>
					<?php if ( $status ) { ?>
						<div class="listing-time opening">
							<?php esc_html_e( 'Open now', 'apuslisting' ); ?>
						</div>
					<?php } else { ?>
						<div class="listing-time closed">
							<?php esc_html_e( 'Closed now', 'apuslisting' ); ?>
						</div>
					<?php } ?>
				</div>
			</div>
		<?php } ?>
		<div class="media-body">
			<div class="listing-title-wrapper">
				<div class="media">
					<?php if ( $comments > 0 ) { ?>
						<div class="media-left media-middle">
							<span class="review-avg"><?php echo number_format((float)$total_rating, 1, '.', ''); ?></span>
						</div>
					<?php } ?>
					<div class="media-body media-middle">
						<h3 class="listing-title"><a href="<?php the_job_permalink(); ?>"><?php echo trim($post->post_title); ?></a></h3>
						<span class="listing-address">
							<?php the_job_location( false ); ?>
						</span>
					</div>
				</div>
			</div>

			<div class="listing-content-top">
				<div class="listing-metas">
					<?php if ( $comments > 0 ) { ?>
						<div class="listing-meta listing-comments" data-placement="top" data-toggle="tooltip" title="<?php esc_html_e('Comments', 'apuslisting'); ?>">
							<i class="icon-comment"></i>
							<?php echo intval($comments); ?>
						</div>
					<?php } ?>
					<div class="listing-meta listing-favorite" data-placement="top" data-toggle="tooltip" title="<?php esc_html_e('Favorites', 'apuslisting'); ?>">
						<?php apusapuslisting_display_favorite_icon(); ?>
					</div>

					<?php apuslisting_job_manager_display_price_range( $post->ID ); ?>
				</div>
				<?php if ( !empty($termHTML) ) { ?>
				<div class="listing-cats">
					<?php echo wp_kses( $termHTML, wp_kses_allowed_html( 'post' ) ); ?>
				</div>
				<?php } ?>
			</div>
			
			<div class="listing-content-bottom">
				<?php
					$args = array(
						'post_id' => get_the_ID(),
						'number' => 1,
					);
					$comments = apuslisting_get_review_comments( $args );
					if ( !empty($comments) ) {
						foreach ($comments as $comment) {
							?>
							<div class="media">
								<div class="media-left media-middle">
									<div class="img-comment">
										<?php echo get_avatar($comment->user_id); ?>
									</div>
								</div>
								<div class="media-body media-middle">
									<?php echo apuslisting_substring( $comment->comment_content, 12, '...' ); ?>
								</div>
							</div>
							<?php
						}
					} else {
						?>
						<div class="media">
							<div class="media-left media-middle">
								<!-- logo -->
								<div class="img-comment">
									<img src="<?php echo esc_url( get_template_directory_uri().'/assets/images/logo-comment.png' ); ?>" alt="">
								</div>
							</div>
							<div class="media-body media-middle no-review">
								<?php esc_html_e( 'You don\'t need to write your own address. We\'d love to know your opinion', 'apuslisting' ); ?>
							</div>
						</div>
						<?php
					}
				?>
			</div>

		</div>
	</div>
		
</div>