<?php
global $post;
$listing_is_claimed = get_post_meta( get_the_ID(), '_claimed', true );;

$total_rating = apuslisting_get_total_rating( get_the_ID() );
$totals = apuslisting_get_total_reviews(get_the_ID());
$phone = get_post_meta( get_the_ID(), '_company_phone', true );
?>
<header class="entry-header">
	<div class="container">
		<div class="entry-header-breadcrumb">
			<?php apuslisting_render_breadcrumbs('listing'); ?>
		</div>
		<div class="entry-header-wrapper clearfix">
			<div class="entry-header-left pull-left">
				<h1 class="entry-title" itemprop="name"><?php
					echo get_the_title();
					if ( $listing_is_claimed ) :
						echo '<span class="listing-claimed-icon" data-toggle="tooltip" title="'.esc_html__('Claimed', 'apuslisting').'"><i class="icon-claimed text-theme"></i><span>';
					endif;
				?>
					<?php $status = apuslisting_get_current_time_status( get_the_ID() ); ?>
					<?php if ( $status ) { ?>
						<div class="listing-time opening">
							<?php esc_html_e( 'Open now', 'apuslisting' ); ?>
						</div>
					<?php } else { ?>
						<div class="listing-time closed">
							<?php esc_html_e( 'Closed now', 'apuslisting' ); ?>
						</div>
					<?php } ?>
				</h1>
				<div class="listing-metas-detail action-detail">
					
					<div class="review-star">
						<?php apuslisting_print_review( $total_rating, 'detail', $totals ); ?>
					</div>

					<div class="add-to-favorite-btn">
						<?php apusapuslisting_display_favorite_icon(); ?>
					</div>

					<div class="sharing-popup">
						<a href="#" class="share-popup">
							<span><i class="icon-share"></i> <?php esc_html_e( 'Share', 'apuslisting' ); ?></span>
						</a>
						<div class="share-popup-box">
							<?php get_template_part( 'page-templates/parts/sharebox' ); ?>
						</div>
					</div>
				</div>
				<?php
				/**
				 * single_job_listing_start hook
				 *
				 * @hooked job_listing_meta_display - 20
				 * @hooked job_listing_company_display - 30
				 */
				do_action( 'single_job_listing_start' );
				?>
				
			</div>
			<div class="entry-header-right pull-right">
				<!-- action -->
				<a class="btn btn-theme radius-3x btn-contact" href="#listing-contact"><i class="icon-email"></i> <?php esc_html_e( 'Contact This Business', 'apuslisting' ); ?></a>
				<a class="btn btn-theme btn-outline radius-3x"><i class="icon-ring-phone"></i> <?php echo esc_attr($phone); ?></a>
			</div>
		</div>
		<div class="listing-amenities-top">
			<?php get_template_part( 'job_manager/single/parts/amenities' ); ?>
		</div>
	</div>
</header><!-- .entry-header -->