<?php
global $post;
$listing_is_claimed = get_post_meta( get_the_ID(), '_claimed', true );;

$total_rating = apuslisting_get_total_rating( get_the_ID() );
$totals = apuslisting_get_total_reviews(get_the_ID());
?>
<header class="entry-header">
	<div class="container">
		<div class="entry-header-breadcrumb">
			<?php apuslisting_render_breadcrumbs('listing'); ?>
		</div>
		<div class="entry-header-wrapper clearfix">
			<div class="entry-header-left pull-left">
				<h1 class="entry-title" itemprop="name"><?php
					echo get_the_title();
					if ( $listing_is_claimed ) :
						echo '<span class="listing-claimed-icon" data-toggle="tooltip" title="'.esc_html__('Claimed', 'apuslisting').'"><i class="text-theme icon-claimed"></i></span>';
					endif;
				?>
					<?php $status = apuslisting_get_current_time_status( get_the_ID() ); ?>
					<?php if ( $status ) { ?>
						<div class="listing-time opening">
							<?php esc_html_e( 'Open now', 'apuslisting' ); ?>
						</div>
					<?php } else { ?>
						<div class="listing-time closed">
							<?php esc_html_e( 'Closed now', 'apuslisting' ); ?>
						</div>
					<?php } ?>
				</h1>
				<div class="listing-location">
					<?php
						$location = get_the_job_location( $post );
						if ( $location ) {
							echo apply_filters( 'the_job_location_map_link', '<a class="google_map_link" href="' . esc_url( 'http://maps.google.com/maps?q=' . urlencode( strip_tags( $location ) ) . '&zoom=14&size=512x512&maptype=roadmap&sensor=false' ) . '" target="_blank">' . esc_html( strip_tags( $location ) ) . '</a>', $location, $post );
						} else {
							echo wp_kses_post( apply_filters( 'the_job_location_anywhere_text', esc_html__( 'Anywhere', 'apuslisting' ) ) );
						}
					?>
				</div>
				<div class="meta-detail">
					<div class="review-star">
						<div class="review-avg right-inner"><?php echo number_format((float)$total_rating, 1, '.', ''); ?></div>
						<div class="rating-total left-inner"><?php echo sprintf(_n('<span>%s </span><span>Rating</span>', '<span>%s </span><span>Ratings</span>', $totals, 'apuslisting'), $totals); ?></div>
					</div>

					<div class="add-to-favorite-btn">
						<?php apusapuslisting_display_favorite_icon(); ?>
					</div>
					<!-- pictures -->
					<div class="listing-images">
						<i class="right-inner icon-pic"></i>
						<?php
							$photos = apuslisting_get_listing_gallery( get_the_ID() );
							$count_photos = is_array($photos) ? count($photos) : 0;
						?>
						<span class="left-inner">
							<span><?php echo esc_html($count_photos); ?></span>
							<span><?php echo esc_html__('Pics & video','apuslisting') ?></span>
						</span>
					</div>
					
				</div>
				<?php
				/**
				 * single_job_listing_start hook
				 *
				 * @hooked job_listing_meta_display - 20
				 * @hooked job_listing_company_display - 30
				 */
				do_action( 'single_job_listing_start' );
				?>
				
			</div>
			<div class="entry-header-right pull-right">
				<!-- action -->
				<?php get_template_part( 'job_manager/single/parts/actions' ); ?>
			</div>
		</div>
	</div>
</header><!-- .entry-header -->