<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $post;
$rating = intval( get_comment_meta( $comment->comment_ID, '_apus_rating', true ) );
$url = '';
if ( !empty($comment->user_id) ) {
	$data = get_userdata( $comment->user_id );
	$url = apuslisting_get_user_url($comment->user_id, $data->user_nicename);
}
?>
<li itemprop="review" itemscope itemtype="http://schema.org/Review" <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">

	<div id="comment-<?php comment_ID(); ?>" class="the-comment media">
		<div class="avatar media-left">
			<?php if ( !empty($url) ) { ?>
				<a href="<?php echo esc_url($url); ?>">
			<?php } ?>
				<?php echo get_avatar( $comment->user_id, '80', '' ); ?>
			<?php if ( !empty($url) ) { ?>
				</a>
			<?php } ?>
		</div>
		<div class="comment-box media-body">
			<div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating" class="star-rating clear pull-right" title="<?php echo sprintf( esc_html__( 'Rated %d out of 5', 'apuslisting' ), $rating ) ?>">
				<?php apuslisting_print_review($rating); ?>
			</div>
			<div class="meta">
				<h3 class="title-author" >
					<?php if ( !empty($url) ) { ?>
						<a href="<?php echo esc_url($url); ?>">
					<?php } ?>
						<?php comment_author(); ?>
					<?php if ( !empty($url) ) { ?>
						</a>
					<?php } ?>
				</h3> 
				<div class="info-meta">
					<?php if ( $comment->comment_approved == '0' ) : ?>
						<span class="meta"><em><?php esc_html_e( 'Your comment is awaiting approval', 'apuslisting' ); ?></em></span>
					<?php else : ?>
						<span class="meta">
							<time itemprop="datePublished" datetime="<?php echo get_comment_date( 'c' ); ?>"><?php echo get_comment_date( 'M d,Y' ); ?></time>
						</span>
					<?php endif; ?>
				</div>
			</div>
			<div itemprop="description" class="comment-text"><?php comment_text(); ?></div>

			<div class="comment-actions">
				<?php
				if ( apuslisting_get_config('listing_review_enable_like', true) ) {
					$like = intval( get_comment_meta( $comment->comment_ID, '_apus_like', true ) );
					$check = apuslisting_check_comment_like_user($comment->comment_ID);
					?>
					<a href="#like-commnent-<?php comment_ID(); ?>" class="comment-like <?php echo esc_attr($check ? 'active' : ''); ?>" data-id="<?php comment_ID(); ?>"><i class="<?php echo esc_attr($check ? 'icon-heart' : 'icon-heart-outline'); ?>"></i> <span><?php echo trim($like); ?></span></a>
				<?php } ?>
				<?php if ( apuslisting_get_config('listing_review_enable_reply', true) ) { ?>
					<?php comment_reply_link(array_merge( $args, array(
						'reply_text' => '<i class="icon-comment"></i> '. esc_html__('Comment', 'apuslisting'),
						'add_below' => 'report-commnent',
						'depth' => $depth,
						'max_depth' => $args['max_depth']
					))) ?>
				<?php } ?>
				<?php if ( apuslisting_get_config('listing_review_enable_report', true) && is_user_logged_in() ) { ?>
					<a href="#report-commnent-<?php comment_ID(); ?>" class="comment-report" data-id="<?php comment_ID(); ?>"><i class="icon-erro"></i> <?php esc_html_e('Report', 'apuslisting'); ?></a>
				<?php } ?>
				
			</div>
			<?php if ( apuslisting_get_config('listing_review_enable_report', true) && is_user_logged_in() ) { ?>
				<div id="report-commnent-<?php comment_ID(); ?>"></div>
			<?php } ?>
		</div>
	</div>
</li>