<?php
$thumbsize = !isset($thumbsize) ? apuslisting_get_blog_thumbsize() : $thumbsize;
$categories = get_the_category();
?>
<article <?php post_class('post post-grid grid-1'); ?>>
    <?php
        $thumb = apuslisting_display_post_thumb($thumbsize);
        echo trim($thumb);
    ?>
    <div class="entry-content <?php echo !empty($thumb) ? '' : 'no-thumb'; ?>">
        <div class="info">
            <div class="entry-meta">
                <span class="author"><i class="icon-user"></i> <?php the_author_posts_link(); ?></span>
                <span class="comment"><i class="icon-comment"></i> <?php comments_number( '0 Comment', '1 Comment', '% Comments' ); ?></span>
                <span class="date"><i class="fa fa-folder-o" aria-hidden="true"></i>
                    <?php 
                        if ( ! empty( $categories ) ) {
                            echo esc_html( $categories[0]->name );   
                        }
                    ?>
                </span>
            </div>
            <?php if (get_the_title()) { ?>
                <h4 class="entry-title">
                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h4>
            <?php } ?>
        </div>
    </div>
</article>