<?php
$post_format = get_post_format();
global $post;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry-content-detail <?php echo  (!has_post_thumbnail() ? '' : 'has-thumb'); ?>">
        <?php if ( $post_format == 'gallery' ) {
            $gallery = apuslisting_post_gallery( get_the_content(), array( 'size' => 'full' ) );
        ?>
            <div class="entry-thumb <?php echo  (empty($gallery) ? 'no-thumb' : ''); ?>">
                <?php echo trim($gallery); ?>
            </div>
        <?php } elseif( $post_format == 'link' ) {
                $format = apuslisting_post_format_link_helper( get_the_content(), get_the_title() );
                $title = $format['title'];
                $link = apuslisting_get_link_attributes( $title );
                $thumb = apuslisting_post_thumbnail('', $link);
                echo trim($thumb);
            } else { ?>
            <div class="entry-thumb">
                <?php
                    $thumb = apuslisting_post_thumbnail();
                    echo trim($thumb);
                ?>
            </div>
        <?php } ?>
        <div class="info text-center">
            <?php if (get_the_title()) { ?>
                <h4 class="entry-title">
                    <?php the_title(); ?>
                </h4>
            <?php } ?>
            <div class="entry-meta">
                <span class="author"><i class="icon-user"></i> <?php the_author_posts_link(); ?></span>
                <span class="comment"><i class="icon-comment"></i> <?php comments_number( '0 Comment', '1 Comment', '% Comments' ); ?></span>
                <span class="date"><i class="icon-time"></i> <?php the_time( get_option('date_format', 'd M, Y') ); ?></span>
                <span class="categories"><i class="fa fa-folder-o" aria-hidden="true"></i><?php the_category(',  ') ?></span>
            </div>
        </div>
    </div>
    <div class="wrapper-small">
        <div class="entry-description">
            <?php
                if ( $post_format == 'gallery' ) {
                    $gallery_filter = apuslisting_gallery_from_content( get_the_content() );
                    echo trim($gallery_filter['filtered_content']);
                } else {
                    the_content();
                }
            ?>
        </div><!-- /entry-content -->
        <?php
        wp_link_pages( array(
            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'apuslisting' ) . '</span>',
            'after'       => '</div>',
            'link_before' => '<span>',
            'link_after'  => '</span>',
            'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'apuslisting' ) . ' </span>%',
            'separator'   => '',
        ) );
        ?>
        <div class="tag-social clearfix">
            <div class="pull-left"><?php apuslisting_post_tags(); ?></div>
            <div class="pull-right">
                <?php if( apuslisting_get_config('show_blog_social_share', false) ) {
                    get_template_part( 'page-templates/parts/sharebox' );
                } ?>
            </div>
        </div>
        <?php
            //Previous/next post navigation.
            the_post_navigation( array(
                'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Next', 'apuslisting' ) . '</span> ' .
                    '<span class="pull-right navi">' . esc_html__( 'Next post', 'apuslisting' ) . '<i class="icon-angle-right"></i> </span> ' .
                    '<span class="post-title">%title</span>',
                'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Previous', 'apuslisting' ) . '</span> ' .
                    '<span class="pull-left navi"> <i class="icon-angle-left"></i>' . esc_html__( 'Previous post', 'apuslisting' ) . '</span> ' .
                    '<span class="post-title">%title</span>',
            ) );

            if ( apuslisting_get_config('show_blog_releated', true) ): ?>
                <div class="related-posts">
                    <?php get_template_part( 'page-templates/parts/posts-releated' ); ?>
                </div>
            <?php

            endif;
            // If comments are open or we have at least one comment, load up the comment template.
            if ( comments_open() || get_comments_number() ) :
                comments_template();
            endif;
        ?>
    </div>
</article>