<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
?>
<div class="widget-cities <?php echo esc_attr($el_class); ?>">
    <?php
    $cities = (array) vc_param_group_parse_atts( $cities );
    if ( !empty($cities) ) {
        ?>
        <div class="owl-carousel" data-items="<?php echo esc_attr($columns); ?>" data-smallmedium="2" data-extrasmall="1" data-carousel="owl" data-pagination="true" data-nav="false" <?php echo trim(count($cities) > $columns ? 'data-loop="true"' : ''); ?>>
            <?php
            foreach ($cities as $city) {
                $term = get_term_by( 'slug', $city['city'], 'job_listing_region' );
                if ($term) {
                    if ( !empty( $city['image'] ) ) {
                        $image_cat = wp_get_attachment_image_src( $city['image'], 'postthumb-grid' );
                    }
                ?>
                    <div class="city-info <?php echo esc_attr($style); ?>">
                        <a href="<?php echo esc_url(get_term_link( $term )); ?>">
                            <?php if ( isset($image_cat) && isset($image_cat[0]) ) { ?>
                                <div class="category-image">
                                    <img src="<?php echo esc_url_raw( $image_cat[0] ); ?>" alt="">
                                </div>
                            <?php } ?>
                            <div class="content">
                                <div class="content-inner">
                                    <h4 class="category-info-title">
                                        <?php if ( !empty($city['title']) ) { ?>
                                            <?php echo trim($city['title']); ?>
                                        <?php } else { ?>
                                            <?php echo trim($term->name); ?>
                                        <?php } ?>
                                    </h4>
                                    <?php if ( !empty($show_nb) && $show_nb ) { ?>
                                        <span class="category-number"><?php echo sprintf(_n('%d Listing', '%d Listings', $term->count, 'apuslisting'), $term->count); ?></span>
                                    <?php } ?>
                                </div>
                            </div>
                        </a>
                    </div>
                <?php }
            }
            ?>
        </div>
        <?php
    }
    ?>
</div>